# Restore files from repository

To start an interactive tool:

`./restore.sh`

or

`./restore.sh [backupped_folder]`

## Mount Repository and copy

The most easy way is using Restic and have *nix system with installes fuse package.

Then you are able to mount the repository.

Start the restore.sh with a backupped directory:

```txt
/opt/imlbackup/client/restore.sh /var/www
```

In the menu press `m` + `Return` to mount.

![Screenshot: mount repository](./images/iml-backup-restore-from_repo_mount.png)

In a 2nd terminal session you can browse throug repository data and timestamps 
and copy whatever you need.

```txt
ls -ltr /mnt/restic-restore/snapshots/ | tail -10
dr-xr-xr-x. 2 root root 0 Apr 12 23:12 2022-04-12T23:12:08+02:00
dr-xr-xr-x. 2 root root 0 Apr 13 23:08 2022-04-13T23:08:54+02:00
dr-xr-xr-x. 2 root root 0 Apr 14 23:11 2022-04-14T23:11:42+02:00
dr-xr-xr-x. 2 root root 0 Apr 15 23:09 2022-04-15T23:09:01+02:00
dr-xr-xr-x. 2 root root 0 Apr 16 23:07 2022-04-16T23:07:01+02:00
dr-xr-xr-x. 2 root root 0 Apr 17 23:10 2022-04-17T23:10:53+02:00
dr-xr-xr-x. 2 root root 0 Apr 18 23:09 2022-04-18T23:09:31+02:00
dr-xr-xr-x. 2 root root 0 Apr 19 23:08 2022-04-19T23:08:21+02:00
lrwxrwxrwx. 1 root root 0 Apr 20 23:11 latest -> 2022-04-20T23:11:35+02:00
dr-xr-xr-x. 2 root root 0 Apr 20 23:11 2022-04-20T23:11:35+02:00

```

TO BE CONTINUED
